/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/*header*/
header .inside-header{
	padding:20px;
}
header.site-header {
	border: 1px solid #0000004a;
}
/*toogle icon*/
header .menu-toggle{
	background: white;
    border: 1px solid #1772AF;
    border-radius: 8px;
    padding: 0 11px;
    line-height: 40px;
    color: #1772AF !important;
}

@media (max-width: 1024px){
	.main-title{
		font-size:22px;
	}
}

@media (max-width: 768px){
	header .inside-header{
	padding:20px 0;
}
	header .site-branding{
		padding-left:20px;
	}
	header .mobile-menu-control-wrapper{
		padding-right:20px;
	}
	header #menu-header-menu li{
		 border-top: 2px solid #1772AF;
	}
	header #menu-header-menu li:last-child {
    border-top: 2px solid #1772AF;
    border-bottom: 2px solid #1772AF;
}
	#menu-header-menu li a{
		font-size:16px;
		 line-height: 45px;
	}
	.inside-header:has(#site-navigation.toggled) {
    padding-bottom: 0;
}
}
@media (max-width: 426px){
	header .site-branding{
		    width: 70%;
		/*white-space: nowrap;*/
	}
	header .menu-toggle {
		    line-height: 35px;
	}
	.main-title {
        font-size: 16px;
    }
}

/*footer*/
.inside-footer-widgets {
	text-align: center;
}
.footer-widgets-container {
    padding: 50px 20px 5px;
}
.site-footer .widget-title {
    margin-bottom: 5px;
    font-size: 26px ;
	font-weight: 700 ;
}
.copyright-bar{
	display:none;
}
.footer-bar p{
	 font-size: 16px;
    font-weight: 300;
}
.inside-site-info.grid-container{
	padding:20px 20px 50px;
}
footer .inside-site-info {
	display: block;
}
.site-footer .widget-title a{
	color:white;
	text-decoration:none;
}
@media (max-width: 768px){
 .footer-widgets-container {
    padding: 30px 20px 5px;
}
	.inside-site-info.grid-container{
	padding:20px 20px 30px;
}
	.site-footer .widget-title {
		font-size: 24px ;
	}
}

@media (max-width: 426px){
	.site-footer .widget-title {
		font-size: 18px;
	}
	.footer-bar p {
		font-size: 15px;
	}
}

/*home page blog*/
/* BLOG WRAPPER */

.blog-wrapper{
    margin:60px auto 0;
    padding:0 20px;
}

/*BLOG GRID */

.blog-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
}

/*BLOG CARD */

.blog-card{
    background:#fff;
    border:1px solid #e5e5e5;
    border-radius:12px;
    overflow:hidden;
    transition:.35s ease;
    box-shadow: 0px 2px 8px 0px #63636363;
	
}

/*IMAGE*/

.blog-image{
    overflow:hidden;
}

.blog-image img{
    width: 300px;
    height: 300px;
    margin: 0 auto;
    object-fit:contain;
    display:block;
    transition:.4s;
}


/* CONTENT */

.blog-content{
    padding:25px;
}

.blog-content h2{
    margin:18px 0 15px;
    font-size:22px;
    line-height:1.4;
}

.blog-content h2 a{
    color:#1d1d1d;
    text-decoration:none;
}

.blog-content h2 a:hover{
    color:#1761B6;
}

.blog-content p{
    color:#666;
    line-height:1.8;
    font-size:15px;
    margin-bottom:22px;
}

/* META */

.blog-meta{
    display:flex;
    gap:20px;
    align-items:center;
    font-size:14px;
    color:#666;
}

.blog-meta span{
    display:flex;
    align-items:center;
    gap:8px;
}

.blog-meta i{
    color:#1761B6;
    font-size:15px;
}

/*  BUTTON */

.read-more{
    display:inline-flex;
    align-items:center;
    gap:5px;
    color:#1761B6;
    text-decoration:none;
    font-weight:600;
    transition:.3s;
}

.read-more:hover{
    gap:8px;
}

/*Pagination*/

.pagination-area{
    margin:60px 0;
    text-align:center;
}

.pagination-area ul{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:18px;
    list-style:none;
    margin:0;
    padding:0;
}

.pagination-area li{
    display:inline-flex;
}

.pagination-area a,
.pagination-area span{
    text-decoration:none;
    color:#111;
    font-size:16px;
    font-weight:500;
    border:none;
    background:none;
    padding:0;
}

.pagination-area .current{
    color:#1761B6;
    font-weight:700;
}

.pagination-area a:hover{
    color:#1761B6;
}

.pagination-area .prev,
.pagination-area .next{
    display:flex;
    align-items:center;
    gap:8px;
}

.pagination-area .prev i,
.pagination-area .next i{
    font-size:20px;
}

/*RESPONSIVE*/

@media(max-width:1024px){
	.blog-wrapper{
		width:100%;
	}
}

@media(max-width:768px){
	.blog-grid{
    grid-template-columns:repeat(2,1fr);
    }
}
@media(max-width:767px){
	.blog-wrapper {
		margin: 40px auto 0;
	}
	.blog-content p {
	   line-height: 1.5;
	   font-size: 14px;}
	   .pagination-area a, .pagination-area span  {
		font-size:14px;
	}
	.pagination-area .prev i, .pagination-area .next i {
      font-size: 18px;
    }
   .blog-grid{
      grid-template-columns:1fr;
    }

    .blog-content{
      padding:20px;
     }

    .blog-content h2{
      font-size:18px;
    }

    .blog-image img{
      height:220px;
    }
	.pagination-area{
	   margin: 40px 0;
	}
    .blog-meta{
      flex-wrap: wrap;
     }
}